[ARVADOS] created: e089b17201ad5c02ea0d39a586c72388b859577d
Git user
git at public.curoverse.com
Wed Sep 14 14:55:41 EDT 2016
at e089b17201ad5c02ea0d39a586c72388b859577d (commit)
commit e089b17201ad5c02ea0d39a586c72388b859577d
Author: Tom Clegg <tom at curoverse.com>
Date: Wed Sep 14 14:55:18 2016 -0400
9986: Retry (up to 2 times) any python test suite killed by SIGKILL.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 6331ec2..b73b816 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -540,10 +540,22 @@ do_test_once() {
fi
elif [[ "$2" == "pip" ]]
then
- # $3 can name a path directory for us to use, including trailing
- # slash; e.g., the bin/ subdirectory of a virtualenv.
- cd "$WORKSPACE/$1" \
- && "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+ tries=0
+ cd "$WORKSPACE/$1" && while :
+ do
+ tries=$((${tries}+1))
+ # $3 can name a path directory for us to use, including trailing
+ # slash; e.g., the bin/ subdirectory of a virtualenv.
+ "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+ result=${result:-$?}
+ if [[ ${tries} < 3 && ${result} == 137 ]]
+ then
+ printf '\n*****\n%s tests killed -- retrying\n*****\n\n' "$1"
+ continue
+ else
+ break
+ fi
+ done
elif [[ "$2" != "" ]]
then
"test_$2"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list